<div class="contentSecMain contentBox marginBtm">
    <div class="analytDataType contentSec paddingLR">
        <div class="subHeader small statsHeader borderBtm marginBtm">
            <div class="floatLeft marginTopShort">
                <div class="dataOpt">
                    <!--<a href="#/app/stats/historicalStat" class="historical opt midBlock active">Historical</a>-->
                    <a href="#/app/stats/taxiTrail" class="historical opt midBlock">Taxi Trail</a>
                </div>
            </div>
            <div class="floatRight">
                <div class="dropDown trans medium small topBlock marginLeftSml">
                    <div class="head" data-init=0>
                        <div class="headTitle">Taxi Entry and Exit</div>
                        <span class="clear"></span>
                    </div>
                    <ul class="list">
                        <li ng-click="setParameterForHistoricalData('taxiEntryExit','')">Taxi Entry and Exit</li><!--
                        <li ng-click="setParameterForHistoricalData('busParking','')">Taxi Parking</li>-->
                    </ul>
                </div>
                <div class="dropDown trans small topBlock now">
                    <div class="head" data-init=0>
                        <div class="headTitle">
                            {{historicalGraphDataValues.seriesLabel}}&nbsp{{historicalGraphDataValues.seriesParameter}}
                        </div>
                        <span class="clear"></span>
                    </div>
                    <ul class="list">
                        <li ng-click="setSeriesLengthForHistoricalData(15,'min')">Last 15 min</li>
                        <li ng-click="setSeriesLengthForHistoricalData(30,'min')">Last 30 min</li>
                        <li ng-click="setSeriesLengthForHistoricalData(60,'hour')">Last 1 hour</li>
                        <li ng-click="setSeriesLengthForHistoricalData(43200,'month')">Last 1 month</li>
                    </ul>
                </div>
                <div class="dropDown trans small topBlock now">
                    <div class="head" data-init=0>
                        <div class="headTitle">{{historicalGraphDataValues.chartDetails.label}}</div>
                        <span class="clear"></span>
                    </div>
                    <ul class="list">
                        <li ng-click="chartTypeUpdate('areaspline','.flashGraphMain','.flashGraph');setGraphTitle('Area Spline','areaspline')">
                            Area Spline
                        </li>
                        <li ng-click="chartTypeUpdate('column','.flashGraphMain','.flashGraph');setGraphTitle('Column','column')">
                            Column
                        </li>
                        <li ng-click="chartTypeUpdate('spline','.flashGraphMain','.flashGraph');setGraphTitle('Spline','spline')">
                            Spline
                        </li>
                        <li ng-click="chartTypeUpdate('area','.flashGraphMain','.flashGraph');setGraphTitle('Spark Line','area')">
                            Spark Line
                        </li>
                        <li ng-click="chartTypeUpdate('line','.flashGraphMain','.flashGraph');setGraphTitle('Line','line')">
                            Line
                        </li>
                    </ul>
                </div>
            </div>
            <span class="clear"></span>
        </div>

        <div class="statSectionMain">
            <div class="statSection">
                <div class="graph marginBtm">
                    <div class="mainNormal centerTxt">{{historicalGraphDataValues.chartDetails.chart1Label}}</div>
                    <flash-graph type="line" x="queueX" y="queueY"
                                 label-x="true"
                                 label-y="true"
                                 grid-line-color="#2a3040"
                                 grid-width-y="1"
                                 series-width="2"
                                 series-fill-color="rgba(56, 72, 91, 0.45)"
                                 series-marker="true"
                                 legend="true"
                                 id="historicalChart"
                                 columnStack="false"
                                 margin-bottom="80"
                                 margin-left="80"
                                 title-y="Occupancy"
                                 title-x="Occupancy"
                                 additional-features="additionalFeatures">
                    </flash-graph>

                    <div class="loader" ng-show="historicalGraphDataValues.loaderStatus.chartOne">
                        <div class="ballsWaveG ballsWaveG_1"></div>
                        <div class="ballsWaveG ballsWaveG_2"></div>
                        <div class="ballsWaveG ballsWaveG_3"></div>
                        <div class="ballsWaveG ballsWaveG_4"></div>
                        <div class="ballsWaveG ballsWaveG_5"></div>
                        <div class="ballsWaveG ballsWaveG_6"></div>
                        <div class="ballsWaveG ballsWaveG_7"></div>
                        <div class="ballsWaveG ballsWaveG_8"></div>
                    </div>
                </div>
                <div class="graph paddingTop" ng-show="historicalGraphDataValues.elderlyGraphFlag">
                    <div class="mainNormal centerTxt">{{historicalGraphDataValues.chartDetails.chart2Label}}</div>
                    <flash-graph type="line" x="eldersX" y="eldersY"
                                 label-x="true"
                                 label-y="true"
                                 grid-line-color="#2a3040"
                                 grid-width-y="1"
                                 series-width="2"
                                 series-fill-color="rgba(56, 72, 91, 0.45)"
                                 series-marker="true"
                                 id="elderlyChart"
                                 margin-bottom="80"
                                 margin-left="80"
                                 title-y="Occupancy"
                                 title-x="Occupancy"
                                 additional-features="additionalFeatures">
                    </flash-graph>

                    <div class="loader" ng-show="historicalGraphDataValues.loaderStatus.chartOne">
                        <div class="ballsWaveG ballsWaveG_1"></div>
                        <div class="ballsWaveG ballsWaveG_2"></div>
                        <div class="ballsWaveG ballsWaveG_3"></div>
                        <div class="ballsWaveG ballsWaveG_4"></div>
                        <div class="ballsWaveG ballsWaveG_5"></div>
                        <div class="ballsWaveG ballsWaveG_6"></div>
                        <div class="ballsWaveG ballsWaveG_7"></div>
                        <div class="ballsWaveG ballsWaveG_8"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>